'use strict';

var _getTag = require('./_getTag.js');
var isObjectLike = require('./isObjectLike.js');

/** `Object#toString` result references. */
var mapTag = '[object Map]';

/**
 * The base implementation of `_.isMap` without Node.js optimizations.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a map, else `false`.
 */
function baseIsMap(value) {
  return isObjectLike(value) && _getTag(value) == mapTag;
}

module.exports = baseIsMap;
